#ifndef __PLATFORM_CM4_SYSTEMTICK_H__
#define __PLATFORM_CM4_SYSTEMTICK_H__

#include "platform/cm4/InterruptHandler.h"

namespace pinetime::platform::cm4 {

class SystemTick : public pinetime::platform::cm4::InterruptHandler
{
    public:
        SystemTick();
        void handle();
        void enable();
        void disable();
        uint32_t tick();

    private:
        uint32_t sys_tick;
};

}

#endif
